Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service
Class Services

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.arch.service.Services

public class Services
extends java.util.Hashtable

This class maintains a list of services.

See Also:
  `Service`, Serialized Form

Constructor Summary
`Services()` Basic empty constructor

Method Summary
`void` | `addService(Service service)` Adds the given Service object to the container.
`void` | `addServices(Services services)` Adds the given Services object to the container.
`Service` | `getService(java.lang.String name)` This method returns the Service with the given name from this list of Services.
`boolean` | `hasService(java.lang.String service)` Determines whether the given Service object is in the container
`int` | `numServices()` Returns the number of Services in the container return the number of Services in the container
`DataObject` | `toDataObject()` Creates a ServiceDescriptions object and returns the DataObject version of it

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Services

    public Services()

  Basic empty constructor

Method Detail

### addService

    public void addService(Service service)

  Adds the given Service object to the container.
  Parameters:
    `service` - Service to add

### addServices

    public void addServices(Services services)

  Adds the given Services object to the container.
  Parameters:
    `services` - Services to add

### hasService

    public boolean hasService(java.lang.String service)

  Determines whether the given Service object is in the container
  Parameters:
    `service` - Name of the service to check
  Returns:
    whether Service is in the container

### numServices

    public int numServices()

  Returns the number of Services in the container return the number of Services in the container

### getService

    public Service getService(java.lang.String name)

  This method returns the Service with the given name from this list of Services.
  Parameters:
    `name` - of the Service to return
  Returns:
    Service with the given name

### toDataObject

    public DataObject toDataObject()

  Creates a ServiceDescriptions object and returns the DataObject version of it
  Returns:
    Services object converted to an DataObject

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD